rsync: Unterminated quoted string

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • rsync: Unterminated quoted string

      Hey guys,
      I created some rsync jobs to copy some data from a locally mounted nfs share to my RAID and an external HDD. They ALL worked great, but now one rsync job throws the following error:

      Source Code

      1. ./rsync-13e5c07a-6704-4363-9bfd-0d15c4c41487: 24: ./rsync-13e5c07a-6704-4363-9bfd-0d15c4c41487: Syntax error: Unterminated quoted string
      I also tried manually starting the script located in /var/lib/openmediavault/cron.d, but it threw the same error... It tells me that there is a quote missing somewhere... Which is quite strange, as all strings are properly "quoted" (as far as I ca say at least...)

      The script looks like this:

      Source Code

      1. #!/bin/sh
      2. # This configuration file is auto-generated.
      3. # WARNING: Do not edit this file, your changes will be lost.
      4. . /usr/share/openmediavault/scripts/helper-functions
      5. cleanup() {
      6. omv_kill_children $$
      7. rm -f /var/run/rsync-13e5c07a-6704-4363-9bfd-0d15c4c41487
      8. exit
      9. }
      10. [ -e /var/run/rsync-13e5c07a-6704-4363-9bfd-0d15c4c41487 ] && exit 1
      11. if ! omv_is_mounted "/srv/ac34248f-c593-41e4-9e98-db80619c9aca" ; then
      12. omv_error "Source storage device not mounted at </srv/ac34248f-c593-41e4-9e98-db80619c9aca>!"
      13. exit 1
      14. fi
      15. if ! omv_is_mounted "/srv/dev-disk-by-label-BACKUPHDD" ; then
      16. omv_error "Destination storage device not mounted at </srv/dev-disk-by-label-BACKUPHDD>!"
      17. exit 1
      18. fi
      19. trap cleanup 0 1 2 5 15
      20. touch /var/run/rsync-13e5c07a-6704-4363-9bfd-0d15c4c41487
      21. omv_log "Please wait, syncing </srv/ac34248f-c593-41e4-9e98-db80619c9aca/> to </srv/dev-disk-by-label-BACKUPHDD/extBACKUP> ...\n"
      22. export RSYNC_PASSWORD="*****\"
      23. rsync --verbose --log-file="/var/log/rsync.log" --recursive --times --archive --perms '/srv/ac34248f-c593-41e4-9e98-db80619c9aca/' '/srv/dev-disk-by-label-BACKUPHDD/extBACKUP' & wait $!
      24. omv_log "\nThe synchronisation has completed successfully."
      Display All

      The other strange thing is that even if I found the error, I couldn't do anything against it, as This configuration file is auto-generated.....

      Any ideas?

      Thanks!

      The post was edited 1 time, last by TheGammel ().

    • Remove the \ from the password until this issue is fixed.
      Absolutely no support through PM!

      I must not fear.
      Fear is the mind-killer.
      Fear is the little-death that brings total obliteration.
      I will face my fear.
      I will permit it to pass over me and through me.
      And when it has gone past I will turn the inner eye to see its path.
      Where the fear has gone there will be nothing.
      Only I will remain.

      Litany against fear by Bene Gesserit
    • Fixed in OMV5, see github.com/openmediavault/open…c4f8f2688cc1de0e5ccbba0e3. It is not possible to fix this in OMV4.
      Absolutely no support through PM!

      I must not fear.
      Fear is the mind-killer.
      Fear is the little-death that brings total obliteration.
      I will face my fear.
      I will permit it to pass over me and through me.
      And when it has gone past I will turn the inner eye to see its path.
      Where the fear has gone there will be nothing.
      Only I will remain.

      Litany against fear by Bene Gesserit
    • @votdev Thank you!

      I removed the password from the script... I don't know how it even got there, because I can't remember setting one. But now I can't find the setting in the webui to remove it there as well... I guess that the script will be overwritten on reboot?

      Any news on when OMV 5 might be released?

      The post was edited 1 time, last by TheGammel ().

    • You only see the password field if you select 'password' in the authentication selection box.


      TheGammel wrote:

      Any news on when OMV 5 might be released?
      Don't know, it's released when it's ready :)
      Absolutely no support through PM!

      I must not fear.
      Fear is the mind-killer.
      Fear is the little-death that brings total obliteration.
      I will face my fear.
      I will permit it to pass over me and through me.
      And when it has gone past I will turn the inner eye to see its path.
      Where the fear has gone there will be nothing.
      Only I will remain.

      Litany against fear by Bene Gesserit
    • I can't even find the authentication selection box under rsync>jobs ....
      neither when adding, nor when editing...

      only options: enable, type, source, destination, minute, hour, day, month, week, trial run, recursive, times, compress, archive, delete, quiet, preserve permissions, preserve acls, preserve extended attributes, keep partially transferred files, send mail, extra options, comment

      It is really strange that this error only appears for two of my 4 jobs... even after recreating all of them...
    • TheGammel wrote:

      It is really strange that this error only appears for two of my 4 jobs... even after recreating all of them...
      Now "that" is interesting. Are you fully up to date?

      Just for clarification, if this surfaces again, you said your copying from an NFS share. Is the destination another network share or is it a regular folder?

      In essence, are you using Services, Rsync or are you running an Rsync command line from System, Scheduled jobs?
      (The latter, a Rsync command line in System, Scheduled Jobs might be a usable work around.)
    • Yes everything up to date!

      Yep correct, source is a locally mounted NFS share. destination is internal RAID/external HDD over USB3...

      yeah using services,rsync for the sake of simplicity (or so I thought), as I am not too familiar with it and don't know all the rsync options... so I thought it would be safer to use the preconfigured rsync service, tried it out and it worked great... well until now (2 weeks later)
    • You will only be able to select an authentication if you rsync from your NAS to an external URL.
      Absolutely no support through PM!

      I must not fear.
      Fear is the mind-killer.
      Fear is the little-death that brings total obliteration.
      I will face my fear.
      I will permit it to pass over me and through me.
      And when it has gone past I will turn the inner eye to see its path.
      Where the fear has gone there will be nothing.
      Only I will remain.

      Litany against fear by Bene Gesserit
    • For a work around:
      Since you appear to be backing up, I'm assuming that you want to "mirror" a source folder (NFS) to a destination folder (on the external drive).

      This -> guide, on page 61, has an example of a Rsync command line for a drive-to-drive mirror. The switches for mirroring are explained and there's also an explain of to add the command line to Scheduled Job's. It's easy to drill farther down, to the folder level, on the source and destination.

      If you're looking for an easy way to determine the exact source and destination folders, WinSCP might help. In the following example, I drilled down to a data folder and, from the address bar, I can copy and past the source folder from the address line. The destination can be done in the same way.

      You'll need to add a "/" at the end to copy contents under the last folder. (In the example below, it would be /srv/dev-disk-by-label-URBACKUP/BACKUP/urbackup/ )



      (*Note: Until you run the first successful job, for the reasons noted in the Guide, think about leaving the --delete switch out of the command line.*)

      The post was edited 2 times, last by crashtest: edit ().

    • votdev wrote:

      You will only be able to select an authentication if you rsync from your NAS to an external URL.
      Well that is my problem: the very first option I select when creating the rsync job is that I set it to local...

      EDIT: My workaround until now is to uncomment line22 in which there is the password. Additionally I will have to pay extra attention to not change the job via webui.... As it turns out a reboot doesn't change the file...
      Let's wait for OMV 5 then...

      The post was edited 1 time, last by TheGammel ().

    • For now I can live with that. My backup system is designed to be only touched once a week... so it should work just fine for now...
      And should I change something and everything gets overwritten, I will still get a notification that my backup has failed... (in which case I can manually change that script again)

      Of course it would be better to have that fixed right now, but as it seems, OMV 5 is necessary for that fix...